Subject: [WIMSE] Re: WIMSE at IETF 126: Final Agenda
From: KARTHIK RAMPALLI <[email-masked]>
To: Pieter Kasselman <pieter=[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 15 Jul 2026 11:39:45 +0900
List-Id: WIMSE Workload Identity in Multi-Service Environment <wimse.ietf.org>

Hi Pieter,

I will be remotely attending this event. Could you kindly let me know the
best way to present the slides at the meeting?
I will attend the 127th one in SF in person.

Best,
Karthik

On Tue, Jul 14, 2026 at 9:16 PM Pieter Kasselman <pieter=
[email-masked]> wrote:

> Fellow WIMSE Enthusiasts!
>
> The agenda for our session in Vienna (Monday, 20 July, 14:00–16:00
> Europe/Vienna, Park Suite 8) has been published at [1] and is repeated
> below for your convenience.
>
> Presenters, please upload your presentations by Saturday, 18 July 2026, at
> [2].
>
> We have a packed agenda and only 120 minutes. Some notes to presenters
> below to help us make the most of the meeting and keep things on track.
>
> Part 1:
> We structured the agenda to start with the work that is already in flight.
> Our main goal for this meeting is to make progress on the documents the
> group has already taken by using the allocated time to discuss open issues
> (if any) that need to be addressed to progress the currently adopted
> working group documents to Working Group Last Call.
>
> Part 2:
> The second part of the agenda is a set of newer proposals. There are a
> large number of them and it's great to see this much energy for the
> workload identity topic. This is part of the body of work that WIMSE might
> pick up as, or after, we finish what's already on our plate, subject to
> charter, committed deliverables and working group interest. Given the
> limited time the chairs request that everyone presenting a new proposal
> focus on the problem their draft is trying to solve and why it's relevant
> to WIMSE. The goal is to help the group come away understanding the problem
> and whether it belongs here, not the mechanics of each solution. There will
> be time on the list.
>
>  Agenda
>
>
>    1. Agenda & Chair Updates (5 min): Chairs
>    2. Part 1
>       1. Workload Identity Credentials — WGLC status & open issues (5
>       min): Arndt Schwenkschuster / Brian Campbell (
>       https://datatracker.ietf.org/doc/draft-ietf-wimse-workload-creds/)
>       2. Workload Proof Token (8 min): Brian Campbell (
>       https://datatracker.ietf.org/doc/draft-ietf-wimse-wpt/)
>       3. HTTP Signature (8 min): Yaron Sheffer (
>       https://datatracker.ietf.org/doc/draft-ietf-wimse-http-signature/)
>       4. Mutual TLS (8 min): Joseph Salowey (
>       https://datatracker.ietf.org/doc/draft-ietf-wimse-mutual-tls/)
>       5. WIMSE Architecture (8 min): Joseph Salowey (
>       https://datatracker.ietf.org/doc/draft-ietf-wimse-arch/)
>       6. WIMSE Identifier (8 min): Yaroslav Rosomakho (
>       https://datatracker.ietf.org/doc/draft-ietf-wimse-identifier/)
>    3. Part 2
>       1. WIMSE Trust Domain Discovery (5 min): Arndt Schwenkschuster /
>       Yaroslav Rosomakho (
>       https://datatracker.ietf.org/doc/draft-schwenkschuster-wimse-trust-domain-discovery/
>       )
>       2. AI Agent Authentication and Authorization (10 min): Yaroslav
>       Rosomakho (https://datatracker.ietf.org/doc/draft-klrc-aiagent-auth/
>       )
>       3. Persistent Workload Delegation (10 min): Paul Carlton
>       4. Heterogeneous Credential Verification (10 min): Yuning Jiang (
>       https://datatracker.ietf.org/doc/draft-jiang-wimse-heterogeneous-credential/
>       )
>       5. PEDIGREE: per-hop delegation above workload credentials (10
>       min): Karthik Rampalli (
>       https://datatracker.ietf.org/doc/draft-rampalli-pedigree/)
>       6. WIMSE Workload Attestation (5 min): Tirumal Reddy / Nathanael
>       Ritz (
>       https://datatracker.ietf.org/doc/draft-reddy-wimse-workload-attestation/
>       )
>       7. Human authorization as a verifier input (5 min, remote): Iman
>       Schrock (
>       https://datatracker.ietf.org/doc/draft-schrock-human-authorization-binding/)
>       (
>       https://datatracker.ietf.org/doc/draft-schrock-ep-authorization-receipts/
>       )
>       8. SOOS: Mandate JWT & Cross-Principal Transaction ID (XPID) (5
>       min): Tom Sato (
>       https://datatracker.ietf.org/doc/draft-sato-soos-mjwt/), (
>       https://datatracker.ietf.org/doc/draft-sato-soos-kia/)
>    4. AOB (10 min): Chairs
>
>
> See you in Vienna.
>
> Pieter and Justin
>
> WIMSE chairs
>
> [1] https://datatracker.ietf.org/doc/agenda-126-wimse/
> [2] https://datatracker.ietf.org/meeting/126/session/35434/slides
> --
> WIMSE mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>